Subject: Re: bug#21637: Subject: 24.5; dired-do-compress

From: Devon Sean McCullough <[email-masked]>
Date: Wed, 7 Oct 2015 23:48:30 +0100

True, I conflated/confused archiving/compressing, somehow inevitable with *.zip but not with *.tgz and so on
yet many if not most users naturally consider the combination as a single concept.

		Peace
			—Devon

P.S. Even if dired-do-archive existed to serve this major use case,
the difference between foo.zip and foo.gz is utterly obscure
and to create foo.zip.gz is insanely perverse.

P.P.S. (dired "/sudo::”) works, can (dired “/zip::”) be far?
Then dired-do-copy would work.  Might be easier for
shift-C to work in Zip-Archive mode as in dired.

On Oct 7, 2015, at 9:56 PM, Ken Brown <[email-masked]> wrote:

> On 10/7/2015 4:22 PM, Devon Sean McCullough wrote:
>> P.S. Obviously foo.tar would be treated likewise.
> 
> That's not at all obvious.  I would expect foo.tar to be compressed to foo.tar.gz.  I think that's a much more common use case.
> 
> Ken
>